Subject: Re: separation of service ids and service locators

From: James Kempf <[email-masked]>
Date: Fri, 22 Dec 2000 09:20:24 -0800 (PST)

Erik,

>  e. We define a new "service:id" service type and use this for
>     de/registration, and an attribute of each services which is
>     SERVICE-LOCATION.  
>
>     This would make solving Identification and  Deregistration easy, 
>     but make solving Gateway Service Inquiry hard, unless the service
>     type were registered as an Attribute instead of as the 'Service-Type'
>     field in the query.  In effect, all service registrations for 'gateway' 
>     type services under this suggestion would have the same service type
>        string, say "generic".
>
>     This seriously mucks with the way the protocol is used right now.
>     Instead of registering an {identifier-location,type} tuple, we would
>     register an {identifier,generic} tuple, and force the use of 
>     attributes for searching for services of a given type.  This would
>     require two requests for services of type "service:foo" -
>   
>       service-type = "service:foo"
>       predicate    = (some=query)
>        
>       service-type = "service:generic"
>       predicate    = (&(service-type=service:foo)(some=query))
>

I don't quite understand how this would solve the problem. Is the idea to 
register an advertisement something like this;

	service:id://3456789
	service-location=142.42.42.42
	service-type=service:printer
	
I guess I don't see how that could solve the problem, since you still can't query
for a specific service which is what you want to do.

		jak